###############################################################################
#                                                                             #
#    OPDK Setup Script                                                        #
#    2/23/2008 by Rhett Davis (rhett_davis@ncsu.edu)                          #
#    Modified by Chris Kim on 8/23/2008 (chriskim@umn.edu)                    #
#                                                                             #
###############################################################################

# Set the OPDK_DIR variable to the root directory of the FreePDK distribution
setenv OPDK_DIR /project/chriskim03/wei/OPDK/OPDK-1.6/OPDK
# Set CDSHOME to the root directory of the Cadence installation
# Make sure to run "module load cadence/ic_611" before executing icfb 
setenv CDSHOME /home/apps/common/cadence/Linux/ic_611/tools.lnx86/

if !(-f ${PWD}/.cdsinit ) then
  cp ${OPDK_DIR}/organic_basekit/cdssetup/cdsinit ${PWD}/.cdsinit
endif

if !( -f ${PWD}/cds.lib ) then
  cp ${OPDK_DIR}/organic_basekit/cdssetup/cds.lib ${PWD}/cds.lib
endif

if !( -f ${PWD}/lib.defs ) then
  cp ${OPDK_DIR}/organic_basekit/cdssetup/lib.defs ${PWD}/lib.defs
endif

if !(-f ${PWD}/.runset.calibre.drc ) then
  cp ${OPDK_DIR}/organic_basekit/cdssetup/runset.calibre.drc ${PWD}/.runset.calibre.drc
endif

if !(-f ${PWD}/.runset.calibre.lvs ) then
  cp ${OPDK_DIR}/organic_basekit/cdssetup/runset.calibre.lvs ${PWD}/.runset.calibre.lvs
endif


set present = `printenv PYTHONPATH`
if ($present == "") then
  setenv PYTHONPATH $OPDK_DIR'/organic_basekit/techfile/cni'
else
  setenv PYTHONPATH $PYTHONPATH':'$OPDK_DIR'/organic_basekit/techfile/cni'
endif

setenv MGC_CALIBRE_DRC_RUNSET_FILE ./.runset.calibre.drc
setenv MGC_CALIBRE_LVS_RUNSET_FILE ./.runset.calibre.lvs
